ImplicitCollection (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.ImplicitCollection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface ImplicitCollection

All Superinterfaces:
  Collection, ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AccessCollection, ApplicationComposite, BusinessProcessComposite, BusinessServiceComposite, Composite, DesktopComposite, HardwareComposite, InfrastructureApplicationComposite, MainframeComposite, RouterComposite, ServerComposite, SMSCollections, SwitchComposite

    public interface ImplicitCollection

extends Collection

Dynamic collection based on rule definition

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.Collection
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDefinition()`
`boolean` | `hasDefinition()`
`void` | `setDefinition(java.lang.String def)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDefinition

    java.lang.String getDefinition()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefinition

    void setDefinition(java.lang.String def)

### hasDefinition

    boolean hasDefinition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD